/**
 * External dependencies
 */
import { __ } from '@wordpress/i18n';

export const STORE_NAME = 'wc/admin/plugins';
export const PAYPAL_NAMESPACE = '/wc-paypal/v1';

/**
 * Plugin slugs and names as key/value pairs.
 */
export const pluginNames = {
	'facebook-for-woocommerce': __( 'Facebook for WooCommerce', 'woocommerce' ),
	jetpack: __( 'Jetpack', 'woocommerce' ),
	'klarna-checkout-for-woocommerce': __(
		'Klarna Checkout for WooCommerce',
		'woocommerce'
	),
	'klarna-payments-for-woocommerce': __(
		'Klarna Payments for WooCommerce',
		'woocommerce'
	),
	'mailchimp-for-woocommerce': __(
		'Mailchimp for WooCommerce',
		'woocommerce'
	),
	'creative-mail-by-constant-contact': __(
		'Creative Mail for WooCommerce',
		'woocommerce'
	),
	'woocommerce-gateway-paypal-express-checkout': __(
		'WooCommerce PayPal',
		'woocommerce'
	),
	'woocommerce-gateway-stripe': __( 'WooCommerce Stripe', 'woocommerce' ),
	'woocommerce-payfast-gateway': __( 'WooCommerce PayFast', 'woocommerce' ),
	'woocommerce-payments': __( 'WooCommerce Payments', 'woocommerce' ),
	'woocommerce-services': __( 'WooCommerce Shipping & Tax', 'woocommerce' ),
	'woocommerce-services:shipping': __(
		'WooCommerce Shipping & Tax',
		'woocommerce'
	),
	'woocommerce-services:tax': __(
		'WooCommerce Shipping & Tax',
		'woocommerce'
	),
	'woocommerce-shipstation-integration': __(
		'WooCommerce ShipStation Gateway',
		'woocommerce'
	),
	'woocommerce-mercadopago': __(
		'Mercado Pago payments for WooCommerce',
		'woocommerce'
	),
	'google-listings-and-ads': __( 'Google Listings and Ads', 'woocommerce' ),
	'woo-razorpay': __( 'Razorpay', 'woocommerce' ),
	mailpoet: __( 'MailPoet', 'woocommerce' ),
	'pinterest-for-woocommerce': __(
		'Pinterest for WooCommerce',
		'woocommerce'
	),
	'tiktok-for-business:alt': __( 'TikTok for WooCommerce', 'woocommerce' ),
	codistoconnect: __( 'Omnichannel for WooCommerce', 'woocommerce' ),
};
